package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class MenuMaterialRegister {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("请求id")
   private String requestId;
   @TableField(
           updateStrategy = FieldStrategy.DEFAULT
   )
   @ApiModelProperty("是否注册成功(1是2否0待定)")
   private Integer ifSuccess;
   @TableField(
           value = "crby",
           fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
           value = "crtime",
           fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
           value = "upby",
           fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
           value = "uptime",
           fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getRequestId() {
      return this.requestId;
   }

   public Integer getIfSuccess() {
      return this.ifSuccess;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setRequestId(final String requestId) {
      this.requestId = requestId;
   }

   public void setIfSuccess(final Integer ifSuccess) {
      this.ifSuccess = ifSuccess;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}